<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="56dp">

    <!-- tools:background="#1C4892" -->

    <ImageView
        android:id="@+id/logo"
        android:layout_width="132dp"
        android:layout_height="32dp"
        android:layout_marginStart="16dp"
        android:contentDescription="@null"
        android:scaleType="fitXY"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        tools:src="@mipmap/icon_logo" />

    <TextView
        android:id="@+id/subName"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="24dp"
        android:layout_marginEnd="10dp"
        android:ellipsize="end"
        android:maxLines="1"
        android:textColor="#ffffffff"
        android:textSize="21sp"
        app:layout_constraintBottom_toBottomOf="@id/logo"
        app:layout_constraintEnd_toStartOf="@id/nowDate"
        app:layout_constraintStart_toEndOf="@id/logo"
        app:layout_constraintTop_toTopOf="@id/logo"
        tools:text="实验室名称实验室名称" />

    <TextView
        android:id="@+id/nowDate"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:textColor="@android:color/white"
        android:textSize="14sp"
        app:layout_constraintBottom_toBottomOf="@id/logo"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0.52"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="@id/logo"
        tools:text="3月13日  星期一 14:36" />

    <ImageView
        android:id="@+id/personImg"
        android:layout_width="12dp"
        android:layout_height="16dp"
        android:layout_marginStart="30dp"
        android:contentDescription="@null"
        android:src="@mipmap/icon_sy_principal"
        app:layout_constraintBottom_toBottomOf="@id/logo"
        app:layout_constraintStart_toEndOf="@id/nowDate"
        app:layout_constraintTop_toTopOf="@id/logo" />

    <TextView
        android:id="@+id/person"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="10dp"
        android:textColor="@android:color/white"
        android:textSize="14sp"
        app:layout_constraintBottom_toBottomOf="@id/logo"
        app:layout_constraintStart_toEndOf="@id/personImg"
        app:layout_constraintTop_toTopOf="@id/logo"
        tools:text="曹雪婷" />

    <TextView
        android:id="@+id/countDown"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="18dp"
        android:textColor="@android:color/white"
        android:textSize="14sp"
        app:layout_constraintBottom_toBottomOf="@id/logo"
        app:layout_constraintStart_toEndOf="@id/person"
        app:layout_constraintTop_toTopOf="@id/logo"
        tools:text="登录失效180S" />

    <androidx.constraintlayout.widget.Group
        android:id="@+id/user_group"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:visibility="gone"
        app:constraint_referenced_ids="personImg,person,countDown" />

    <LinearLayout
        android:id="@+id/noticeLayout"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="17dp"
        android:layout_marginEnd="17dp"
        android:background="@drawable/shape_rect_round_11_solid_white_10p"
        android:gravity="center_vertical"
        android:orientation="horizontal"
        app:layout_constraintBottom_toBottomOf="@id/logo"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toEndOf="@id/countDown"
        app:layout_constraintTop_toTopOf="@id/logo"
        app:layout_goneMarginStart="100dp">

        <ImageView
            android:layout_width="17dp"
            android:layout_height="15dp"
            android:layout_marginStart="8dp"
            android:layout_marginTop="4dp"
            android:layout_marginBottom="4dp"
            android:contentDescription="@null"
            android:src="@mipmap/icon_sy_tz" />

        <AdapterViewFlipper
            android:id="@+id/noticeFlipper"
            android:layout_width="match_parent"
            android:layout_height="20dp"
            android:layout_marginStart="11dp"
            android:layout_marginEnd="11dp" />

    </LinearLayout>
</androidx.constraintlayout.widget.ConstraintLayout>